'##########################################################################################
'#                                                                                        #
'#  Includefile 1.0a by Sp33d <www.angelbot-portal.de / Sp33d@mercurys.de>                #
'#                                                                                        #
'##########################################################################################
'#                                                                                        #
'#  For detailed information about this file visit <www.angelbot-portal.de>               #
'#                                                                                        #
'##########################################################################################
'#                                                                                        #
'#  Filesystem methods                                                                    #
'#                                                                                        #
'##########################################################################################
'#                                                                                        #
'# YOU MAY NOT CHANGE ANYTHING INSIDE HERE UNLESS YOU HAVE THE AUTHORIZATION TO MODIFY IT #
'#                                                                                        #
'# MANY SCRIPTS BASE UPON THIS FILE SO DON'T BE SUPRISED IF THEY DON'T WORK ANYMORE AFTER #
'# MODIFICATIONS!!!                                                                       #
'#                                                                                        #
'##########################################################################################


Const TF_CreateNot = 0
Const TF_CreateIfExists = 1
Const TF_CreateIfNotExists = 2
Const TF_Create = 4

Function TestFile(Path, CreateNew)
  Silent True
  FNum = FileOpen(Path, FA_Read)
  If FNum <> 0 Then vExists = True
  FileClose FNum

  Select Case CreateNew
    Case TF_CreateNot
      If vExists = True Then TestFile = TF_CreateNot
    Case TF_CreateIfExists
      If vExists = True Then
        FNum = FileOpen(Path, FA_Write)
        FileWrite FNum, ""
        FileClose FNum
        TestFile = TF_CreateIfExists
      Else
        TestFile = TF_Error
      End If
    Case TF_CreateIfNotExists
      If vExists = True Then
        TestFile = TF_Error
      Else
        FNum = FileOpen(Path, FA_Write)
        FileWrite FNum, ""
        FileClose FNum
        TestFile = TF_CreateIfNotExists        
      End If
    Case TF_Create
      FNum = FileOpen(Path, FA_Write)
      FileWrite FNum, ""
      FileClose FNum
      TestFile = TF_Create
  End Select 
    
  Silent False
End Function

Function GetFileName(Path)
  Dim i
  If Not InStr(1, Path, "\") > 0 Then Exit Function

  Path = Trim(Path)

  For i = Len(Path) To 0 Step -1
    If Mid(Path, i, 1) = "\" Then
      GetFileName = Right(Path, Len(Path) - i)
      Exit Function
    End If
  Next
End Function

Function GetFileExtension(FileName)
  Dim i
  For i = Len(FileName) To 1 Step -1
    Select Case Mid(FileName, i, 1)
      Case "."
        GetFileExtension = Mid(FileName, i + 1)
        Exit For
      Case ":", "\"
        Exit For
    End Select
  Next
End Function

Function GetPath(Path)
  Dim i
  If Not InStr(1, Path, "\") > 0 Then Exit Function

  Path = Trim(Path)

  For i = Len(Path) To 0 Step -1
    If Mid(Path, i, 1) = "\" Then
      GetPath = Left(Path, i)
      Exit Function
    End If
  Next
End Function

Function SetExtension(FileName, Extension)
  Dim i
  For i = Len(FileName) To 1 Step -1
    Select Case Mid(FileName, i, 1)
      Case "."
        SetExtension = Left(FileName, i) & Extension
        Exit Function
      Case ":", "\"
        Exit For
    End Select
  Next
    
  SetExtension = FileName & "." & Extension
End Function